Skip to main content
GET
/
v3
/
stores
/
{store_id}
/
public
/
locations
Search storefront delivery locations
curl --request GET \
  --url https://api.scalev.com/v3/stores/{store_id}/public/locations \
  --header 'X-Scalev-Storefront-Api-Key: <x-scalev-storefront-api-key>'
{
  "data": [
    {
      "id": 123,
      "subdistrict_name": "<string>",
      "city_name": "<string>",
      "province_name": "<string>",
      "display": "Cempaka Putih, Kota Jakarta Pusat, DKI Jakarta"
    }
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Headers

X-Scalev-Storefront-Api-Key
string
required

Publishable storefront public API key for the target store. Page public API keys are not accepted on Storefront public routes.

Path Parameters

store_id
string
required

Store unique_id.

Query Parameters

page_size
integer
Required range: 1 <= x <= 100
next_cursor
string

Cursor returned by the previous response. Use only one of next_cursor or previous_cursor.

previous_cursor
string

Cursor returned by the previous response. Use only one of next_cursor or previous_cursor.

Response

Location search results

data
object[]
required
is_paginated
boolean
required
has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer